Debian Bug report logs - #729354
RFS: auto-07p/0.9.1+dfsg-1 [ITP] -- software for continuation and bifurcation problems in ODE

Package: sponsorship-requests; Maintainer for sponsorship-requests is Debian Mentors <package-sponsorship-requests@lists.debian.org>;

Reported by: Sergey Kirpichev <skirpichev@gmail.com>

Date: Tue, 12 Nov 2013 09:15:02 UTC

Severity: wishlist

Done: Bart Martens <bartm@quantz.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <package-sponsorship-requests@lists.debian.org>:
Bug#729354; Package sponsorship-requests. (Tue, 12 Nov 2013 09:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sergey Kirpichev <skirpichev@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Mentors <package-sponsorship-requests@lists.debian.org>. (Tue, 12 Nov 2013 09:15:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sergey Kirpichev <skirpichev@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Cc: debian-science@lists.debian.org
Subject: RFS: auto-07p/0.9.1+dfsg-1 [ITP] -- software for continuation and bifurcation problems in ODE
Date: Tue, 12 Nov 2013 13:10:01 +0400
Package: sponsorship-requests
Severity: wishlist

Dear mentors,

I am looking for a sponsor for my package "auto-07p"

 Package name    : auto-07p
 Version         : 0.9.1+dfsg-1
  Upstream Author: Eusebius Doedel
              URL: http://indy.cs.concordia.ca/auto/
 License         : BSD
 Section         : math
          ITP-bug: http://bugs.debian.org/512916

To access further information about this package, please
visit the following URL:

  http://mentors.debian.net/package/auto-07p

Alternatively, one can download the package with dget using this command:

  dget -x 
 http://mentors.debian.net/debian/pool/main/a/auto-07p/auto-07p_0.9.1+dfsg-1.dsc



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <package-sponsorship-requests@lists.debian.org>:
Bug#729354; Package sponsorship-requests. (Tue, 12 Nov 2013 09:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to Debian Mentors <package-sponsorship-requests@lists.debian.org>. (Tue, 12 Nov 2013 09:54:04 GMT) Full text and rfc822 format available.

Message #10 received at 729354@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: Sergey Kirpichev <skirpichev@gmail.com>
Cc: debian-science@lists.debian.org, 729354@bugs.debian.org
Subject: Re: RFS: auto-07p/0.9.1+dfsg-1 [ITP] -- software for continuation and bifurcation problems in ODE
Date: Tue, 12 Nov 2013 10:48:17 +0100
Hi Sergey,

its very resonable you included debian-science list in your RFP.  It
would be even better if you would add the VCS URL of the package (I
assume it is in Debian Science Git or SVN - which is currently offline
unfortunately).

I checked the Blends tasks whether the package is mentioned there but I
can not find it.  If you want me to sponsor according to my SoB
effort[1] the package please at least mention in what task you would
like to see the package (I guess at least one of the *-dev tasks might
fit).

Kind regards and thanks for working on this package

      Andreas.

[1] https://wiki.debian.org/DebianPureBlends/SoB

On Tue, Nov 12, 2013 at 01:10:01PM +0400, Sergey Kirpichev wrote:
> Package: sponsorship-requests
> Severity: wishlist
> 
> Dear mentors,
> 
> I am looking for a sponsor for my package "auto-07p"
> 
>  Package name    : auto-07p
>  Version         : 0.9.1+dfsg-1
>   Upstream Author: Eusebius Doedel
>               URL: http://indy.cs.concordia.ca/auto/
>  License         : BSD
>  Section         : math
>           ITP-bug: http://bugs.debian.org/512916
> 
> To access further information about this package, please
> visit the following URL:
> 
>   http://mentors.debian.net/package/auto-07p
> 
> Alternatively, one can download the package with dget using this command:
> 
>   dget -x 
>  http://mentors.debian.net/debian/pool/main/a/auto-07p/auto-07p_0.9.1+dfsg-1.dsc
> 
> 
> -- 
> To UNSUBSCRIBE, email to debian-science-request@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
> Archive: http://lists.debian.org/20131112091001.GA12408@darkstar.order.hcn-strela.ru
> 
> 

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <package-sponsorship-requests@lists.debian.org>:
Bug#729354; Package sponsorship-requests. (Tue, 12 Nov 2013 10:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to skirpichev@gmail.com:
Extra info received and forwarded to list. Copy sent to Debian Mentors <package-sponsorship-requests@lists.debian.org>. (Tue, 12 Nov 2013 10:09:04 GMT) Full text and rfc822 format available.

Message #15 received at 729354@bugs.debian.org (full text, mbox):

From: Sergey B Kirpichev <skirpichev@gmail.com>
To: Andreas Tille <andreas@an3as.eu>
Cc: debian-science@lists.debian.org, 729354@bugs.debian.org
Subject: Re: RFS: auto-07p/0.9.1+dfsg-1 [ITP] -- software for continuation and bifurcation problems in ODE
Date: Tue, 12 Nov 2013 14:04:14 +0400
On Tue, Nov 12, 2013 at 10:48:17AM +0100, Andreas Tille wrote:
> its very resonable you included debian-science list in your RFP.

Well, it's not a first attempt (third, I guess)...

> It would be even better if you would add the VCS URL of the package

It's in debian/control of the package.

> (I assume it is in Debian Science Git or SVN

No.
http://anonscm.debian.org/gitweb/?p=debian-science/packages/auto-07p.git;a=summary

> I checked the Blends tasks whether the package is mentioned there but I
> can not find it.  If you want me to sponsor according to my SoB
> effort[1] the package please at least mention in what task you would
> like to see the package (I guess at least one of the *-dev tasks might
> fit).

Sorry, blends.alioth.debian.org is not accessible now.  Can you suggest some tasks?



Added indication that bug 729354 blocks 512916 Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Tue, 12 Nov 2013 16:30:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <package-sponsorship-requests@lists.debian.org>:
Bug#729354; Package sponsorship-requests. (Thu, 21 Nov 2013 19:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to skirpichev@gmail.com:
Extra info received and forwarded to list. Copy sent to Debian Mentors <package-sponsorship-requests@lists.debian.org>. (Thu, 21 Nov 2013 19:15:04 GMT) Full text and rfc822 format available.

Message #22 received at 729354@bugs.debian.org (full text, mbox):

From: Sergey B Kirpichev <skirpichev@gmail.com>
To: Andreas Tille <andreas@an3as.eu>
Cc: 729354@bugs.debian.org
Subject: Re: RFS: auto-07p/0.9.1+dfsg-1 [ITP] -- software for continuation and bifurcation problems in ODE
Date: Thu, 21 Nov 2013 23:12:33 +0400
On Tue, Nov 12, 2013 at 10:48:17AM +0100, Andreas Tille wrote:
> I checked the Blends tasks whether the package is mentioned there but I
> can not find it.  If you want me to sponsor according to my SoB
> effort[1] the package please at least mention in what task you would
> like to see the package (I guess at least one of the *-dev tasks might
> fit).

Ok, done.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <package-sponsorship-requests@lists.debian.org>:
Bug#729354; Package sponsorship-requests. (Thu, 21 Nov 2013 21:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to Debian Mentors <package-sponsorship-requests@lists.debian.org>. (Thu, 21 Nov 2013 21:09:04 GMT) Full text and rfc822 format available.

Message #27 received at 729354@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: Sergey B Kirpichev <skirpichev@gmail.com>
Cc: 729354@bugs.debian.org, Debian Science List <debian-science@lists.debian.org>
Subject: [SoB] Re: RFS: auto-07p/0.9.1+dfsg-1 [ITP] -- software for continuation and bifurcation problems in ODE
Date: Thu, 21 Nov 2013 22:06:59 +0100
Hi Sergey,

On Thu, Nov 21, 2013 at 11:12:33PM +0400, Sergey B Kirpichev wrote:
> On Tue, Nov 12, 2013 at 10:48:17AM +0100, Andreas Tille wrote:
> > I checked the Blends tasks whether the package is mentioned there but I
> > can not find it.  If you want me to sponsor according to my SoB
> > effort[1] the package please at least mention in what task you would
> > like to see the package (I guess at least one of the *-dev tasks might
> > fit).
> 
> Ok, done.

I checked out the git repository and have the following remarks:

  1. in d/README.source you wrote:

      ./07/tek2ps/ have been removed from sources

     It is OK to remove things from upstream source if needed but this
     should be turned into code rather than a document.

     The usual way to do so was adding a get-orig-source target into
     debian/rules.  I'd personally recommend the enhanced uscan which
     is described here:

       https://wiki.debian.org/UscanEnhancements

     and which simply enables you to add the deleted files to the machine
     readable d/copyright file.  In case you might choose this you could
     even drop README.source because it would have been properly documented.

  2. Any reason to choose debhelper compatibility level 7 instead of 9?

  3. To old Standards-Version
     I'd recommend using

         cme fix dpkg-control

     which will fix this for you and does some other nice things.

  4. d/copyright:  Please fix the issues occuring when doing

         cme fix dpkg-copyright

  5. I do not insist on fixing the vcs-field-not-canonical lintian info
     but I polished my own packages to fit his recommendation (you get
     it when calling `lintian -I`.


Kind regards

       Andreas.


-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <package-sponsorship-requests@lists.debian.org>:
Bug#729354; Package sponsorship-requests. (Thu, 21 Nov 2013 21:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to skirpichev@gmail.com:
Extra info received and forwarded to list. Copy sent to Debian Mentors <package-sponsorship-requests@lists.debian.org>. (Thu, 21 Nov 2013 21:45:04 GMT) Full text and rfc822 format available.

Message #32 received at 729354@bugs.debian.org (full text, mbox):

From: Sergey B Kirpichev <skirpichev@gmail.com>
To: Andreas Tille <andreas@an3as.eu>
Cc: 729354@bugs.debian.org, Debian Science List <debian-science@lists.debian.org>
Subject: Re: [SoB] Re: RFS: auto-07p/0.9.1+dfsg-1 [ITP] -- software for continuation and bifurcation problems in ODE
Date: Fri, 22 Nov 2013 01:40:20 +0400
On Thu, Nov 21, 2013 at 10:06:59PM +0100, Andreas Tille wrote:
> I checked out the git repository and have the following remarks:
> 
>   1. in d/README.source you wrote:
>       ./07/tek2ps/ have been removed from sources
> 
>      It is OK to remove things from upstream source if needed but this
>      should be turned into code rather than a document.
> 
>      The usual way to do so was adding a get-orig-source target into
>      debian/rules.

Ok, done (grabbed from the nlopt package).

>   2. Any reason to choose debhelper compatibility level 7 instead of 9?

ok, done.

>   3. To old Standards-Version

Now 3.9.5, it's ok?

>      I'd recommend using
>          cme fix dpkg-control

What's that?

$ cme
-bash: cme: command not found
$ apt-cache search -n cme
libacme-bleach-perl - Perl module for really clean programs
libacme-brainfck-perl - Embed Brainf*ck in your perl code
libacme-damn-perl - Perl module to unbless objects
libacme-eyedrops-perl - funny way for visual programming in Perl
libacme-poe-knee-perl - Time sliced pony race using the POE event loop
procmeter3 - graphical system status monitor

>   4. d/copyright:  Please fix the issues occuring when doing
>          cme fix dpkg-copyright

As above.

>   5. I do not insist on fixing the vcs-field-not-canonical lintian info
>      but I polished my own packages to fit his recommendation (you get
>      it when calling `lintian -I`.

done.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <package-sponsorship-requests@lists.debian.org>:
Bug#729354; Package sponsorship-requests. (Thu, 21 Nov 2013 22:15:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@fam-tille.de>:
Extra info received and forwarded to list. Copy sent to Debian Mentors <package-sponsorship-requests@lists.debian.org>. (Thu, 21 Nov 2013 22:15:09 GMT) Full text and rfc822 format available.

Message #37 received at 729354@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@fam-tille.de>
To: Debian Science List <debian-science@lists.debian.org>
Cc: 729354@bugs.debian.org
Subject: Re: [SoB] Re: RFS: auto-07p/0.9.1+dfsg-1 [ITP] -- software for continuation and bifurcation problems in ODE
Date: Thu, 21 Nov 2013 23:11:42 +0100
On Fri, Nov 22, 2013 at 01:40:20AM +0400, Sergey B Kirpichev wrote:
> On Thu, Nov 21, 2013 at 10:06:59PM +0100, Andreas Tille wrote:
> > I checked out the git repository and have the following remarks:
> > 
> >   1. in d/README.source you wrote:
> >       ./07/tek2ps/ have been removed from sources
> > 
> >      It is OK to remove things from upstream source if needed but this
> >      should be turned into code rather than a document.
> > 
> >      The usual way to do so was adding a get-orig-source target into
> >      debian/rules.
> 
> Ok, done (grabbed from the nlopt package).

OK (not brave enough to try the new uscan which would have saved you
from this get-orig-source thingy by adding a single line to d/copyright?

> >   2. Any reason to choose debhelper compatibility level 7 instead of 9?
> 
> ok, done.

OK.

> >   3. To old Standards-Version
> 
> Now 3.9.5, it's ok?

Yep.  BTW, config model (see below) would have changed to 3.9.4
automatically but 3.9.5 is really the latest policy version (cme is
lagging behind a bit).

> >      I'd recommend using
> >          cme fix dpkg-control
> 
> What's that?
> 
> $ cme
> -bash: cme: command not found
> $ apt-cache search -n cme
> libacme-bleach-perl - Perl module for really clean programs
> libacme-brainfck-perl - Embed Brainf*ck in your perl code
> libacme-damn-perl - Perl module to unbless objects
> libacme-eyedrops-perl - funny way for visual programming in Perl
> libacme-poe-knee-perl - Time sliced pony race using the POE event loop
> procmeter3 - graphical system status monitor

Better search strategy:

  apt-file search /usr/bin/cme

Direkt hint:

  apt-get install libconfig-model-dpkg-perl libconfig-model-itself-perl
 
> >   4. d/copyright:  Please fix the issues occuring when doing
> >          cme fix dpkg-copyright
> 
> As above.

Ditto.
 
> >   5. I do not insist on fixing the vcs-field-not-canonical lintian info
> >      but I polished my own packages to fit his recommendation (you get
> >      it when calling `lintian -I`.
> 
> done.

Hope this helps

      Andreas.

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <package-sponsorship-requests@lists.debian.org>:
Bug#729354; Package sponsorship-requests. (Fri, 22 Nov 2013 02:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Mentors <package-sponsorship-requests@lists.debian.org>. (Fri, 22 Nov 2013 02:03:04 GMT) Full text and rfc822 format available.

Message #42 received at 729354@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Andreas Tille <andreas@fam-tille.de>, 729354@bugs.debian.org
Cc: Debian Science List <debian-science@lists.debian.org>
Subject: Re: Bug#729354: [SoB] Re: RFS: auto-07p/0.9.1+dfsg-1 [ITP] -- software for continuation and bifurcation problems in ODE
Date: Fri, 22 Nov 2013 02:58:04 +0100
[Message part 1 (text/plain, inline)]
On Thu, 21 Nov 2013 23:11:42 +0100, Andreas Tille wrote:

> > >   3. To old Standards-Version
> > Now 3.9.5, it's ok?
> Yep.  BTW, config model (see below) would have changed to 3.9.4
> automatically but 3.9.5 is really the latest policy version (cme is
> lagging behind a bit).

Not anymore -- I just uploaded libconfig-model-dpkg-perl_2.043 :)

(Thanks for the reminder, this was fixed in git since some time ...)
 
Cheers,
gregor

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Nguyên Lê: Thang Long
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <package-sponsorship-requests@lists.debian.org>:
Bug#729354; Package sponsorship-requests. (Sun, 01 Dec 2013 15:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to skirpichev@gmail.com:
Extra info received and forwarded to list. Copy sent to Debian Mentors <package-sponsorship-requests@lists.debian.org>. (Sun, 01 Dec 2013 15:30:04 GMT) Full text and rfc822 format available.

Message #47 received at 729354@bugs.debian.org (full text, mbox):

From: Sergey B Kirpichev <skirpichev@gmail.com>
To: Andreas Tille <andreas@fam-tille.de>
Cc: Debian Science List <debian-science@lists.debian.org>, 729354@bugs.debian.org
Subject: Re: [SoB] Re: RFS: auto-07p/0.9.1+dfsg-1 [ITP] -- software for continuation and bifurcation problems in ODE
Date: Sun, 1 Dec 2013 19:19:51 +0400
[Message part 1 (text/plain, inline)]
> > Ok, done (grabbed from the nlopt package).
> 
> OK (not brave enough to try the new uscan which would have saved you
> from this get-orig-source thingy by adding a single line to d/copyright?

What are you talking about?

> Yep.  BTW, config model (see below) would have changed to 3.9.4
> automatically but 3.9.5 is really the latest policy version (cme is
> lagging behind a bit).

Ok, changed to 3.9.5 and uploaded to mentors.  I'm not sure
why it blame me about lintian
E:python-script-but-no-python-dep.  Perhaps, it uses
ancient lintian version?  I see python deps on the deb:
 Depends: python:any (>= 2.7.5-5~)

Is there something wrong?

> > >      I'd recommend using
> > >          cme fix dpkg-control
> > 
> > What's that?

Diff of suggestions attached - I don't see any
reasons to change anything.  Ok?

> > >   4. d/copyright:  Please fix the issues occuring when doing
> > >          cme fix dpkg-copyright
> > 
> > As above.
> 
> Ditto.

Ok, done.  License fields are fixed now.

Is there something pending from my side?
[control.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <package-sponsorship-requests@lists.debian.org>:
Bug#729354; Package sponsorship-requests. (Sun, 01 Dec 2013 22:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@fam-tille.de>:
Extra info received and forwarded to list. Copy sent to Debian Mentors <package-sponsorship-requests@lists.debian.org>. (Sun, 01 Dec 2013 22:27:07 GMT) Full text and rfc822 format available.

Message #52 received at 729354@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@fam-tille.de>
To: Debian Science List <debian-science@lists.debian.org>
Cc: 729354@bugs.debian.org
Subject: Re: [SoB] Re: RFS: auto-07p/0.9.1+dfsg-1 [ITP] -- software for continuation and bifurcation problems in ODE
Date: Sun, 1 Dec 2013 23:23:20 +0100
On Sun, Dec 01, 2013 at 07:19:51PM +0400, Sergey B Kirpichev wrote:
> > > Ok, done (grabbed from the nlopt package).
> > 
> > OK (not brave enough to try the new uscan which would have saved you
> > from this get-orig-source thingy by adding a single line to d/copyright?
> 
> What are you talking about?

I think I've recommendet you reading

    https://wiki.debian.org/UscanEnhancements
 
> > Yep.  BTW, config model (see below) would have changed to 3.9.4
> > automatically but 3.9.5 is really the latest policy version (cme is
> > lagging behind a bit).
> 
> Ok, changed to 3.9.5 and uploaded to mentors.  I'm not sure
> why it blame me about lintian
> E:python-script-but-no-python-dep.  Perhaps, it uses
> ancient lintian version?  I see python deps on the deb:
>  Depends: python:any (>= 2.7.5-5~)
> 
> Is there something wrong?

I can not confirm this result - I builded + uploaded the package.

I somehow did missunderstood your mail and uploaded to new but I just
realised that the proposed changes were not yet applied (neither on
mentors.d.o nor in Git).  Since the package now made its way into NEW
I'd suggest to upload the changes below once the package has hit
unstable.

> @@ -1,16 +1,21 @@
>  Source: auto-07p
> +Maintainer: Sergey B Kirpichev <skirpichev@gmail.com>

This should rather be:

Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Sergey B Kirpichev <skirpichev@gmail.com>


Please change this for the next version.

Kind regards

       Andreas.


-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <package-sponsorship-requests@lists.debian.org>:
Bug#729354; Package sponsorship-requests. (Mon, 02 Dec 2013 00:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to skirpichev@gmail.com:
Extra info received and forwarded to list. Copy sent to Debian Mentors <package-sponsorship-requests@lists.debian.org>. (Mon, 02 Dec 2013 00:21:04 GMT) Full text and rfc822 format available.

Message #57 received at 729354@bugs.debian.org (full text, mbox):

From: Sergey B Kirpichev <skirpichev@gmail.com>
To: Andreas Tille <andreas@fam-tille.de>
Cc: 729354@bugs.debian.org
Subject: Re: [SoB] Re: RFS: auto-07p/0.9.1+dfsg-1 [ITP] -- software for continuation and bifurcation problems in ODE
Date: Mon, 2 Dec 2013 04:18:31 +0400
On Sun, Dec 01, 2013 at 11:23:20PM +0100, Andreas Tille wrote:
> > What are you talking about?
> I think I've recommendet you reading
>     https://wiki.debian.org/UscanEnhancements

Indeed, I've forgot this reference.  But it seems,
this out of the dep5 standard for now, isn't?  And this
approach has some drawbacks too.

> I somehow did missunderstood your mail and uploaded to new but I just
> realised that the proposed changes were not yet applied (neither on
> mentors.d.o nor in Git).

Except for uscan's suggestions - this all should
be in m.d.o (I'll recheck that) and in repo.

> > @@ -1,16 +1,21 @@
> >  Source: auto-07p
> > +Maintainer: Sergey B Kirpichev <skirpichev@gmail.com>
> 
> This should rather be:
> 
> Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
> Uploaders: Sergey B Kirpichev <skirpichev@gmail.com>

Ok.

Thank you for review.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <package-sponsorship-requests@lists.debian.org>:
Bug#729354; Package sponsorship-requests. (Mon, 02 Dec 2013 07:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@fam-tille.de>:
Extra info received and forwarded to list. Copy sent to Debian Mentors <package-sponsorship-requests@lists.debian.org>. (Mon, 02 Dec 2013 07:15:05 GMT) Full text and rfc822 format available.

Message #62 received at 729354@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@fam-tille.de>
To: Debian Science List <debian-science@lists.debian.org>
Cc: 729354@bugs.debian.org
Subject: Re: [SoB] Re: RFS: auto-07p/0.9.1+dfsg-1 [ITP] -- software for continuation and bifurcation problems in ODE
Date: Mon, 2 Dec 2013 08:10:30 +0100
On Mon, Dec 02, 2013 at 04:18:31AM +0400, Sergey B Kirpichev wrote:
> On Sun, Dec 01, 2013 at 11:23:20PM +0100, Andreas Tille wrote:
> > > What are you talking about?
> > I think I've recommendet you reading
> >     https://wiki.debian.org/UscanEnhancements
> 
> Indeed, I've forgot this reference.  But it seems,
> this out of the dep5 standard for now, isn't?  And this
> approach has some drawbacks too.

It is not (yet) in DEP5 but the patch made it in devscripts Git.  What
drawbacks do you mean?

> > I somehow did missunderstood your mail and uploaded to new but I just
> > realised that the proposed changes were not yet applied (neither on
> > mentors.d.o nor in Git).
> 
> Except for uscan's suggestions - this all should
> be in m.d.o (I'll recheck that) and in repo.

No, it was not (at the time when I wrote my mail) in both places.

> > > @@ -1,16 +1,21 @@
> > >  Source: auto-07p
> > > +Maintainer: Sergey B Kirpichev <skirpichev@gmail.com>
> > 
> > This should rather be:
> > 
> > Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
> > Uploaders: Sergey B Kirpichev <skirpichev@gmail.com>
> 
> Ok.
> 
> Thank you for review.

Thanks for your preparation

      Andreas.
 

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <package-sponsorship-requests@lists.debian.org>:
Bug#729354; Package sponsorship-requests. (Mon, 02 Dec 2013 09:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to skirpichev@gmail.com:
Extra info received and forwarded to list. Copy sent to Debian Mentors <package-sponsorship-requests@lists.debian.org>. (Mon, 02 Dec 2013 09:03:04 GMT) Full text and rfc822 format available.

Message #67 received at 729354@bugs.debian.org (full text, mbox):

From: Sergey B Kirpichev <skirpichev@gmail.com>
To: Andreas Tille <andreas@fam-tille.de>
Cc: Debian Science List <debian-science@lists.debian.org>, 729354@bugs.debian.org
Subject: Re: [SoB] Re: RFS: auto-07p/0.9.1+dfsg-1 [ITP] -- software for continuation and bifurcation problems in ODE
Date: Mon, 2 Dec 2013 12:58:41 +0400
> It is not (yet) in DEP5 but the patch made it in devscripts Git.  What
> drawbacks do you mean?

For example, this:
-->8--
One drawback of the Files-Excluded method was mentioned: There is no
reasonable way to give file by file (rather pattern by pattern)
comment why the file(s) were removed.
-->8--
It seems, that Files-Excluded field can be only in the header section
and that's the reason.

> No, it was not (at the time when I wrote my mail) in both places.

Then I'm little lost in what's pending from my side.  It seems,
git repo was in sync with my local repo (except from your commit 1e336a9).

uscan changes?



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <package-sponsorship-requests@lists.debian.org>:
Bug#729354; Package sponsorship-requests. (Mon, 02 Dec 2013 09:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@fam-tille.de>:
Extra info received and forwarded to list. Copy sent to Debian Mentors <package-sponsorship-requests@lists.debian.org>. (Mon, 02 Dec 2013 09:51:04 GMT) Full text and rfc822 format available.

Message #72 received at 729354@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@fam-tille.de>
To: Debian Science List <debian-science@lists.debian.org>
Cc: 729354@bugs.debian.org
Subject: Re: [SoB] Re: RFS: auto-07p/0.9.1+dfsg-1 [ITP] -- software for continuation and bifurcation problems in ODE
Date: Mon, 2 Dec 2013 10:48:33 +0100
On Mon, Dec 02, 2013 at 12:58:41PM +0400, Sergey B Kirpichev wrote:
> > It is not (yet) in DEP5 but the patch made it in devscripts Git.  What
> > drawbacks do you mean?
> 
> For example, this:
> -->8--
> One drawback of the Files-Excluded method was mentioned: There is no
> reasonable way to give file by file (rather pattern by pattern)
> comment why the file(s) were removed.
> -->8--
> It seems, that Files-Excluded field can be only in the header section
> and that's the reason.

Well, considering that you had

   ./07/tek2ps/  have been removed from sources

where exactly is the problem that you can not give pattern by pattern
comments?

> > No, it was not (at the time when I wrote my mail) in both places.
> 
> Then I'm little lost in what's pending from my side.  It seems,
> git repo was in sync with my local repo (except from your commit 1e336a9).
> 
> uscan changes?

I was wrong in my previous mail.

commit 0ad53cbac9e7e46fe1dee4df774bdcab9ba2faaa
Author: Sergey B Kirpichev <skirpichev@gmail.com>
Date:   Sun Dec 1 18:45:41 2013 +0400

    fix license fields

was inside the repository and it is uploaded.

Kind regards

       Andreas.

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <package-sponsorship-requests@lists.debian.org>:
Bug#729354; Package sponsorship-requests. (Tue, 03 Dec 2013 13:57:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to skirpichev@gmail.com:
Extra info received and forwarded to list. Copy sent to Debian Mentors <package-sponsorship-requests@lists.debian.org>. (Tue, 03 Dec 2013 13:57:16 GMT) Full text and rfc822 format available.

Message #77 received at 729354@bugs.debian.org (full text, mbox):

From: Sergey B Kirpichev <skirpichev@gmail.com>
To: Andreas Tille <andreas@fam-tille.de>
Cc: Debian Science List <debian-science@lists.debian.org>, 729354@bugs.debian.org
Subject: Re: [SoB] Re: RFS: auto-07p/0.9.1+dfsg-1 [ITP] -- software for continuation and bifurcation problems in ODE
Date: Tue, 3 Dec 2013 17:56:05 +0400
> Well, considering that you had
> 
>    ./07/tek2ps/  have been removed from sources
> 
> where exactly is the problem that you can not give pattern by pattern
> comments?

Yep.  Perhaps, this is a reason to improve this comment.

Anyway, I would like to adopt something like this
for others my packages as well.  And this issue is still relevant.

Another Files-like paragraphs seems to be a sulution.
See e.g. http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=685506#32

The solution in
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=685506#50
is not just "not nice", it's less machine-readable.

> I was wrong in my previous mail.
> commit 0ad53cbac9e7e46fe1dee4df774bdcab9ba2faaa
> was inside the repository and it is uploaded.

ok.

PS: I'm DM, so - you can grant me upload permission
for this package if you trust my work enough.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <package-sponsorship-requests@lists.debian.org>:
Bug#729354; Package sponsorship-requests. (Tue, 03 Dec 2013 15:06:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to Debian Mentors <package-sponsorship-requests@lists.debian.org>. (Tue, 03 Dec 2013 15:06:09 GMT) Full text and rfc822 format available.

Message #82 received at 729354@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: Debian Science List <debian-science@lists.debian.org>
Cc: 729354@bugs.debian.org
Subject: Uscan Files-Excluded (Was: [SoB] Re: RFS: auto-07p/0.9.1+dfsg-1 [ITP] -- software for continuation and bifurcation problems in ODE)
Date: Tue, 3 Dec 2013 16:02:26 +0100
Hi,

On Tue, Dec 03, 2013 at 05:56:05PM +0400, Sergey B Kirpichev wrote:
> > Well, considering that you had
> > 
> >    ./07/tek2ps/  have been removed from sources
> > 
> > where exactly is the problem that you can not give pattern by pattern
> > comments?
> 
> Yep.  Perhaps, this is a reason to improve this comment.

From my perspective there is no reason for this.  It would not be
machine readable in any case.  Also IMHO this information fits better in
debian/copyright.

> Anyway, I would like to adopt something like this
> for others my packages as well.  And this issue is still relevant.
> 
> Another Files-like paragraphs seems to be a sulution.
> See e.g. http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=685506#32

From my perspective a "solution" is something what is implemented.  More
than 10 monthes have passed since this *suggestion* and nobody minded
about some competing *solution* to Files-Excluded.  I did a lot of work
explaining both alternatives on the Wiki page (it is removed now since
devscripts authors accepted the implemented code for Files-Excluded in
Git).  Since Debian is a Do-O-cracy those things are winning that can
attract volunteers who *do* the actual work.  The other alternative did
not which in turn means it was not convincing enough.

> The solution in
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=685506#50
> is not just "not nice", it's less machine-readable.

In how far do comments need to be machine readable.  We are talking
about comments and comments are by definition free text and there is no
need to parse this.  So I keep on failing to see the advantage of
"Removed-Files" over "Files-Excluded" and your arguments do not really
convince me.

> PS: I'm DM, so - you can grant me upload permission
> for this package if you trust my work enough.

Fine for me but if I'm not misleaded the package needs to pass new
before this permission can be granted.
 
Kind regards

       Andreas.

PS: There is no point in CCing me - I'm reading debian-science list.

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <package-sponsorship-requests@lists.debian.org>:
Bug#729354; Package sponsorship-requests. (Mon, 23 Dec 2013 16:45:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to skirpichev@gmail.com:
Extra info received and forwarded to list. Copy sent to Debian Mentors <package-sponsorship-requests@lists.debian.org>. (Mon, 23 Dec 2013 16:45:15 GMT) Full text and rfc822 format available.

Message #87 received at 729354@bugs.debian.org (full text, mbox):

From: Sergey B Kirpichev <skirpichev@gmail.com>
To: Andreas Tille <andreas@an3as.eu>
Cc: Debian Science List <debian-science@lists.debian.org>, 729354@bugs.debian.org
Subject: Re: Uscan Files-Excluded (Was: [SoB] Re: RFS: auto-07p/0.9.1+dfsg-1 [ITP] -- software for continuation and bifurcation problems in ODE)
Date: Mon, 23 Dec 2013 20:41:17 +0400
On Tue, Dec 03, 2013 at 04:02:26PM +0100, Andreas Tille wrote:
> > >    ./07/tek2ps/  have been removed from sources
> > > 
> > > where exactly is the problem that you can not give pattern by pattern
> > > comments?
> > 
> > Yep.  Perhaps, this is a reason to improve this comment.
> 
> >From my perspective there is no reason for this.

Well, it really helps me.  It take a time for me to remember
why exactly this stuff isn't dfsg-free.

> It would not be machine readable in any case.

Why?

An example:

-->8--
Removed-Files: ./07/tek2ps/
Comment: Not DFSG-free - commercial reproduction prohibited.

Removed-Files: some other pattern
Comment: New comment.
-->8--

And so on (Removed-Files in this example - a new paragraphs type,
like Files).  Different patterns - different comments.  Bah,
we can even use License header here.

> In how far do comments need to be machine readable.  We are talking
> about comments and comments are by definition free text and there is no
> need to parse this.  So I keep on failing to see the advantage of
> "Removed-Files" over "Files-Excluded" and your arguments do not really
> convince me.

See above example.  You can separate comments for different
patterns (different Removed-Files paragraphs).

> > PS: I'm DM, so - you can grant me upload permission
> > for this package if you trust my work enough.
> 
> Fine for me but if I'm not misleaded the package needs to pass new
> before this permission can be granted.

Ok, lets wait a bit.



Reply sent to Bart Martens <bartm@quantz.debian.org>:
You have taken responsibility. (Fri, 27 Dec 2013 04:30:30 GMT) Full text and rfc822 format available.

Notification sent to Sergey Kirpichev <skirpichev@gmail.com>:
Bug acknowledged by developer. (Fri, 27 Dec 2013 04:30:30 GMT) Full text and rfc822 format available.

Message #92 received at 729354-done@bugs.debian.org (full text, mbox):

From: Bart Martens <bartm@quantz.debian.org>
To: 729354-done@bugs.debian.org
Subject: closing RFS: auto-07p/0.9.1+dfsg-1 [ITP] -- software for continuation and bifurcation problems in ODE
Date: Fri, 27 Dec 2013 04:27:58 +0000
Package auto-07p version 0.9.1+dfsg-1 is in unstable now.
http://packages.qa.debian.org/auto-07p



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 24 Jan 2014 07:33:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:41:32 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.